> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/marketplace/marketplace-apps.md).

# Marketplace Apps

## List Marketplace Apps

> Retrieves a paginated list of marketplace app versions.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MarketplaceApps"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps":{"get":{"summary":"List Marketplace Apps","description":"Retrieves a paginated list of marketplace app versions.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"filter[id]","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer"}},"description":"Filter results by id.","style":"form","explode":false},{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by allowed."},{"name":"filter[private]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private."},{"name":"filter[visibility]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by visibility."},{"name":"filter[private_or_allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private_or_allowed."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["flowTemplates","crossReferenceLookupTemplates","crossReferenceLookupTemplates.crossReferenceLookupValueTemplates","systemTemplates","systemTemplates.logo","scriptTemplates","cacheTemplates","dataPoolTemplates","company","marketplaceCompany","publicCompany","installs"]}},"description":"Comma-separated list of relationships to include. Available: flowTemplates, crossReferenceLookupTemplates, crossReferenceLookupTemplates.crossReferenceLookupValueTemplates, systemTemplates, systemTemplates.logo, scriptTemplates, cacheTemplates, dataPoolTemplates, company, marketplaceCompany, publicCompany, installs","style":"form","explode":false},{"name":"sort","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["name","-name","id","-id","created_at","-created_at","installs_avg_install_duration","-installs_avg_install_duration"]}},"description":"Sort field. Prefix with - for descending. Available: name, id, created_at, installs_avg_install_duration","style":"form","explode":false},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."},{"name":"filter[active_version]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by active_version."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Marketplace Apps"],"operationId":"patchworksMarketplaceAppsIndex"}}}}
```

## Create Marketplace App

> Creates a new marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"MarketplaceAppsStoreRequest":{"type":"object","properties":{"help_guide":{"type":"string","format":"uri","nullable":true},"flow_version_ids":{"type":"string","items":{"type":"integer"}},"cross_reference_lookup_ids":{"type":"string","items":{"type":"integer"}},"system_ids":{"type":"string","items":{"type":"integer"}},"script_version_ids":{"type":"string","items":{"type":"integer"}},"cache_ids":{"type":"string","items":{"type":"integer"}},"data_pool_ids":{"type":"string","items":{"type":"integer"}},"private":{"type":"string"},"name":{"type":"string","maxLength":100},"labels":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"}}}}},"required":["labels","name"]}}},"paths":{"/api/v1/marketplace-apps":{"post":{"summary":"Create Marketplace App","description":"Creates a new marketplace app version.\nNote: A marketplace app is a version of a blueprint.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsStoreRequest"}}}},"tags":["Marketplace Apps"],"parameters":[],"operationId":"marketplaceAppsStore"}}}}
```

## Get Marketplace App

> Retrieves the details of a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplace_app}":{"get":{"summary":"Get Marketplace App","description":"Retrieves the details of a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"include","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["flowTemplates","crossReferenceLookupTemplates","crossReferenceLookupTemplates.crossReferenceLookupValueTemplates","systemTemplates","systemTemplates.logo","scriptTemplates","cacheTemplates","dataPoolTemplates","company","marketplaceCompany","publicCompany","installs"]}},"description":"Comma-separated list of relationships to include. Available: flowTemplates, crossReferenceLookupTemplates, crossReferenceLookupTemplates.crossReferenceLookupValueTemplates, systemTemplates, systemTemplates.logo, scriptTemplates, cacheTemplates, dataPoolTemplates, company, marketplaceCompany, publicCompany, installs","style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Marketplace Apps"],"operationId":"patchworksMarketplaceAppsShow"}}}}
```

## Delete Marketplace App

> Permanently deletes a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplace_app}":{"delete":{"summary":"Delete Marketplace App","description":"Permanently deletes a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Marketplace Apps"],"operationId":"patchworksMarketplaceAppsDestroy"}}}}
```

## Update Marketplace App

> Updates an existing marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"integer"},"cache_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"flow_templates":{"type":"array","items":{"$ref":"#/components/schemas/FlowTemplates"}},"cross_reference_lookup_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupTemplate"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"script_templates":{"type":"array","items":{"$ref":"#/components/schemas/ScriptTemplates"}},"cache_templates":{"type":"array","items":{"$ref":"#/components/schemas/CacheTemplate"}},"data_pool_templates":{"type":"array","items":{"$ref":"#/components/schemas/DataPoolTemplate"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"},"publish_failed_at":{"type":"string","format":"date-time"},"publish_error":{"type":"string"}}},"FlowTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time","items":{"type":"object"}},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"step_count":{"type":"integer"},"cross_ref_count":{"type":"integer"},"script_count":{"type":"integer"},"system_count":{"type":"integer"},"webhook_count":{"type":"integer"},"advanced":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}},"steps":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplate"}},"schedules":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"blueprint_id":{"type":"array","items":{"type":"object"}},"blueprint_version_number":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelTemplate"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"FlowStepTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"children":{"type":"string"},"routes":{"type":"array","items":{"$ref":"#/components/schemas/FlowStepTemplateRoute"}},"parent_flow_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"flow_template_id":{"type":"integer"},"cache":{"type":"object"},"microservice":{"type":"string","enum":["gateway","trigger","start","connector","pull","push","map","filter","route","script","manual-payload","assert-payload","split","batch","dedupe","cache","cache-set","cache-get","track","variable-set","run-flow","logging","events","notify","try-catch","branch","callback","data-transform","medium-processor","long-processor","scheduler","cross-reference"]},"config":{"type":"object"},"route_count":{"type":"integer"},"filter_count":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"}}},"FlowStepTemplateRoute":{"type":"object","properties":{"id":{"type":"integer"},"flow_step_id":{"type":"integer"},"name":{"type":"string"},"first_step_id":{"type":"integer"},"first_step":{"$ref":"#/components/schemas/FlowStepTemplate"},"order":{"type":"string"}}},"EndpointTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"system_template_id":{"type":"integer"},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"endpoint_schema_template":{"$ref":"#/components/schemas/EndpointSchemaTemplate"},"data_path":{"type":"string"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"raw_body":{"type":"string"},"help_link":{"type":"string"}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchemaTemplate":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_template_id":{"type":"integer"},"endpoint_template":{"$ref":"#/components/schemas/EndpointTemplate"},"schema":{"type":"string"}}},"LabelTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]}}},"CrossReferenceLookupTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"default_value":{"type":"string"},"cross_reference_lookup_value_templates":{"type":"array","items":{"$ref":"#/components/schemas/CrossReferenceLookupValueTemplate"}}}},"CrossReferenceLookupValueTemplate":{"type":"object","properties":{"id":{"type":"integer"},"left_value":{"type":"string"},"right_value":{"type":"string"}}},"ScriptTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"object"},"company_id":{"type":"object"},"canonical_key":{"type":"object"},"content":{"$ref":"#/components/schemas/ScriptTemplateContent"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"tenant_script_version_id":{"type":"string"}}},"ScriptTemplateContent":{"type":"object","properties":{"id":{"type":"integer"},"script_template_id":{"type":"integer"},"content":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}},"CacheTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"scope":{"type":"string","enum":["Flow run","Flow","Company"]},"ttl":{"type":"string"},"flow_template_id":{"type":"integer"},"marketplace_app_id":{"type":"integer"}}},"DataPoolTemplate":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"MarketplaceAppsUpdateRequest":{"type":"object","properties":{"flow_version_ids":{"type":"string","items":{"type":"integer"}},"cross_reference_lookup_ids":{"type":"string","items":{"type":"integer"}},"system_ids":{"type":"string","items":{"type":"integer"}},"script_version_ids":{"type":"string","items":{"type":"integer"}},"cache_ids":{"type":"string","items":{"type":"integer"}},"data_pool_ids":{"type":"string","items":{"type":"integer"}},"name":{"type":"string","maxLength":100}}}}},"paths":{"/api/v1/marketplace-apps/{marketplace_app}":{"put":{"summary":"Update Marketplace App","description":"Updates an existing marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsUpdateRequest"}}}},"tags":["Marketplace Apps"],"operationId":"marketplaceAppsUpdate"}}}}
```

## Install Marketplace App

> Installs a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"MarketplaceAppsInstallInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"}}}}},"paths":{"/api/v1/marketplace-apps/{marketplaceApp}/install":{"post":{"summary":"Install Marketplace App","description":"Installs a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplaceApp","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplaceApp identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsInstallInstallRequest"}}}},"tags":["Marketplace Apps"],"operationId":"marketplaceAppsInstall"}}}}
```

## Get Convertible

> To be confirmed.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/convertible":{"get":{"summary":"Get Convertible","description":"To be confirmed.\nNote: A marketplace app is a version of a blueprint.","tags":["Marketplace Apps"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"parameters":[],"operationId":"patchworksMarketplaceAppsConvertible"}}}}
```

## Convert Marketplace App

> To be confirmed.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplaceApp}/convert":{"post":{"summary":"Convert Marketplace App","description":"To be confirmed.\nNote: A marketplace app is a version of a blueprint.","tags":["Marketplace Apps"],"parameters":[{"name":"marketplaceApp","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplaceApp identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"operationId":"patchworksMarketplaceAppsConvert"}}}}
```
